import { LLNG_Conf, Conf_Accessor } from '@lemonldap-ng/types';
export declare type FileArgs = {
    dirName: string;
};
declare class FileConf implements Conf_Accessor {
    dirName: string;
    constructor(args: FileArgs);
    available(): Promise<number[]>;
    lastCfg(): Promise<number>;
    load(cfgNum: number, fields?: string[]): Promise<LLNG_Conf>;
    store(fields: LLNG_Conf): Promise<boolean>;
}
export default FileConf;
